//app.js
App({
  //设置全局请求URL
  globalData:{
    apiUrl: 'https://seex.inner.iouou.cn/AppApi/',
  },
  onLaunch: function () {
    let me =this;
    // 获取本地缓存的token
    wx.getStorage({
      key: 'token',
      fail (res) {
        // 没登录（没有token时）
        console.log(res.errMsg)
        wx.login({
          success (res) {
            console.log(res)
            if (res.code) {
              // 发送 res.code 到后台换取 openId, sessionKey, unionId
              wx.request({
                url: me.globalData.apiUrl + 'users/token',
                method: 'POST',
                data: {
                  code: res.code
                },
                success: function (res) {
                  if(res.data.errno==200){
                    // 获取token并本地缓存
                    console.log(res.data.data.token)
                    wx.setStorage({
                      key: "token",
                      data: res.data.data.token
                    })
                  }else{
                    //打印错误信息
                    console.log(res.data.msg)
                  }
                }
              })
            } else {
              console.log('登录失败！' + res.errMsg)
            }
          }
        })
      }
    })
  }
})